# $Revision: 1.19 $, $Date: 2002/07/25 05:37:09 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Simple
Summary:	XML::Simple perl module
Summary(pl):	Modu perla XML::Simple
Name:		perl-XML-Simple
Version:	1.08
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-Storable
BuildRequires:	perl-XML-Parser >= 2.00
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-16
Requires:	perl-XML-Parser >= 2.00
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Simple - Trivial API for reading and writing XML (esp config
files)

%description -l pl
XML::Simple - trywialny interfejs do zapisywania i odczytywania plikw
XML - zwaszcza plikw konfiguracyjnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%doc %{_mandir}/man3/*
%{perl_sitelib}/XML/Simple.pm

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-Simple.spec,v $
Revision 1.19  2002/07/25 05:37:09  kloczek
- release 4.

Revision 1.18  2002/07/13 23:11:44  qboosh
- new %%doc and cosmetics; explicit Requires for XML::Parser

Revision 1.17  2002/07/10 09:03:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/21 01:19:19  agaran
its required for install, and checked in build stage

Revision 1.14  2002/02/25 10:35:40  depesz
cleanup; revision++

Revision 1.13  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/13 21:51:50  kloczek
- spec adapterized.

Revision 1.11  2002/02/13 14:21:40  depesz
automatic: Source location unfied, Relase Up

Revision 1.10  2002/02/12 01:42:48  kloczek
- updated to 1.08.

Revision 1.9  2002/02/10 15:41:13  depesz
adapterized

Revision 1.8  2002/02/09 12:59:38  depesz
- unfied source path

Revision 1.7  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.5  2001/11/27 16:53:25  mis
- autoupdated to 1.06

Revision 1.4  2001/04/17 12:18:44  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.3  2001/04/14 23:46:19  baggins
- release 2
- removed empty perl_sitearch dir from %%files

Revision 1.2  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.1  2001/02/12 11:42:35  depesz
- brand new module - initial release
